#ifndef DANDD_KNIGHT_H
#define DANDD_KNIGHT_H

#include <string>
#include "GameCharacter.h"

class Knight : public GameCharacter {
public:
    Knight(std::string n, int x, int y, int hp, int d = 1, Weapon* w = nullptr) : GameCharacter(x, y, hp, w),
                                                                                  dexterity(d), name(n) {
        // ... 3-5 lines of code max.
    }

    virtual void move(int x, int y);

    virtual void fight(GameCharacter &enemy);

protected:
    int dexterity;
    std::string name;
};


#endif //DANDD_KNIGHT_H
