#include "Orc.h"
#include "Dice.h"

void Orc::fight(GameCharacter &enemy) {
    int damage = 1;
    if (weapon != nullptr)
        damage = weapon->useWeapon();
    if (giant)
        damage *= 1.3;
    Dice aDice(6);
    if (aDice.throwDice() == 1)
        damage = 0; // miss hit if dice roll is 1
    int newHitPoints = enemy.getHitPoints() - damage;
    enemy.setHitPoints(newHitPoints);
}