#include "Knight.h"
#include "Dice.h"
#include <iostream>

void Knight::move(int x, int y) {
    // ... specific Knight code
    GameCharacter::move(x, y);
    // ... specific Knight code
}

void Knight::fight(GameCharacter &enemy) {
    int damage = 1;
    if (weapon != nullptr)
        damage = weapon->useWeapon();

    if (dexterity > 3) {
        if (weapon != nullptr)
            damage += weapon->useWeapon();
        else
            damage += 1;
    }
    Dice aDice(6);
    if (aDice.throwDice() == 1) {
        damage = 0; // miss hit if dice roll is 1
        std::cout << "Knight misses hit !" << std::endl;
    }

    int newHitPoints = enemy.getHitPoints() - damage;
    enemy.setHitPoints(newHitPoints);
}