#include <iostream>
#include "Weapon.h"
#include "Sword.h"
#include "Bow.h"
#include "GameCharacter.h"
#include "Knight.h"
#include "Orc.h"
#include "Dice.h"

using namespace std;

int main() {
    Dice::initDice();

    Weapon* weapon = new Sword(12, false, false);
    Weapon* secondary_weapon = new Bow(10, 20, false);

    GameCharacter* hero = new Knight("Jon Snow", 0, 0, 20, 4, weapon);

    Orc orc(1, 1);

    orc.fight(*hero);
    hero->fight(orc);

    Weapon* excalibur = new Sword(30, true);
    if (orc.getHitPoints() <= 0) {
        std::cout << "Orc is dead." << std::endl;
        hero->setWeapon(excalibur);
    }
    hero->move(2, 3);

    return 0;
}